Workflow copy does not copy advanced workflow settings anymore in 1.2.1

2011-09-15 12:29 - pasquale [:dedalus]

Status: Closed Start date: 2011-09-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.2.1

Description

Issue #8739 isn't being fixed with in 1.2.1:

STR (steps to reproduce with 1.2.1 stable):

1. new role;

2. copy workflow from an existing role and create it;

3. see the new role created: no checks are flagged in permission report

follow bug #8739

Related issues:

Related to Redmine - Defect #8739: Workflow copy does not copy advanced workf... Closed 2011-07-02

History

#1 - 2011-09-15 12:31 - Etienne Massip

- Assignee deleted (Jean-Philippe Lang)

Please do not assign issues.

#2 - 2011-09-15 12:39 - Etienne Massip

Can't reproduce?

Could this be a plugin interference?

#3 - 2011-09-15 16:03 - pasquale [:dedalus]

Etienne Massip wrote:

Could this be a plugin interference?

 No, I have test this behavior with a fresh clean install of 1.2.1 stable release and the issue is still here

#4 - 2011-09-15 16:59 - Etienne Massip

So you didn't change any of the existing workflow before doing the test?

What role did you pick for workflow copying when creating the new role?

#5 - 2011-09-15 17:02 - pasquale [:dedalus]

I have create a new role based on existing one "Developer"

#6 - 2011-09-15 17:20 - Etienne Massip

Can you paste here the WF "Summary" screenshot please?

#7 - 2011-09-15 17:40 - pasquale [:dedalus]

- File bug-in-action.png added

Etienne Massip wrote:
Can you paste here the WF "Summary" screenshot please?

 bug-in-action.png

#8 - 2011-09-15 18:12 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Invalid

Sorry, I misread in the first time: you said no checks are flagged in permission report

I thought you were actually talking about the states & transitions per role per tracker, what is usually called workflow but...permissions are not part of a

workflow and I don't think there has ever been such a feature in Redmine.

Surprisingly, I didn't find any Role copy feature request in issues database, so you might want to open a new one.

#9 - 2011-09-16 08:52 - Etienne Massip

I did : #9258.
